<div class="mkd-bmi-calculator-holder">
	<div class="mkd-bmic-form-holder">
		<?php if($form_title !== '') : ?>
			<div class="mkd-section-title-holder">
				<h3><?php echo esc_html($form_title); ?></h3>
			</div>
		<?php endif; ?>
		<p><?php echo esc_html($form_description); ?></p>
		<form action="POST" class="mkd-bmic-form">
			<div class="mkd-bmic-form-row">
				<div class="mkd-bmic-form-col">
					<input type="text" name="height" placeholder="<?php esc_attr_e('Height / cm', 'mikado-bmi-calculator'); ?>">
				</div>
				<div class="mkd-bmic-form-col">
					<input type="text" name="weight" placeholder="<?php esc_attr_e('Weight / kg', 'mikado-bmi-calculator'); ?>">
				</div>
			</div>
			<div class="mkd-bmic-form-row">
				<div class="mkd-bmic-form-col">
					<input type="text" name="age" placeholder="<?php esc_attr_e('Age', 'mikado-bmi-calculator'); ?>">
				</div>
				<div class="mkd-bmic-form-col">
					<select name="sex">
						<option value=""><?php esc_html_e('Sex', 'mikado-bmi-calculator'); ?></option>
						<option value="male"><?php esc_html_e('Male', 'mikado-bmi-calculator'); ?></option>
						<option value="female"><?php esc_html_e('Female', 'mikado-bmi-calculator'); ?></option>
					</select>
				</div>
			</div>
			<div class="mkd-bmic-form-row">
				<div class="mkd-bmic-form-col-full">
					<select name="activity_level">
						<option value=""><?php esc_html_e('Select an activity factor:', 'mikado-bmi-calculator'); ?></option>
						<option value="little"><?php esc_html_e('Little or no Exercise/ desk job', 'mikado-bmi-calculator'); ?></option>
						<option value="light"><?php esc_html_e('Light exercise/ sports 1 – 3 days/ week', 'mikado-bmi-calculator'); ?></option>
						<option value="moderate"><?php esc_html_e('Moderate Exercise, sports 3 – 5 days/ week', 'mikado-bmi-calculator'); ?></option>
						<option value="heavy"><?php esc_html_e('Heavy Exercise/ sports 6 – 7 days/ week', 'mikado-bmi-calculator'); ?></option>
						<option value="very_heavy"><?php esc_html_e('Very heavy exercise/ physical job/ training 2 x/ day', 'mikado-bmi-calculator'); ?></option>
					</select>
				</div>
			</div>
			<div class="mkd-bmic-form-row mkd-bmic-submit-row">
				<div class="mkd-bmic-form-col-full">
					<input class="mkd-btn mkd-btn-solid mkd-btn-medium mkd-btn-hover-outline" type="submit" value="<?php esc_attr_e('Calculate', 'mikado-bmi-calculator'); ?>">
				</div>
			</div>
		</form>
	</div>
	<?php if($display_chart === 'yes') : ?>
		<div class="mkd-bmic-table-holder">
			<?php if($chart_title !== '') : ?>
				<div class="mkd-section-title-holder">
					<h3><?php echo esc_html($chart_title); ?></h3>
				</div>
			<?php endif; ?>
			<table>
				<thead>
				<tr>
					<th><?php esc_html_e('BMI', 'mikado-bmi-calculator'); ?></th>
					<th><?php esc_html_e('Weight Status', 'mikado-bmi-calculator'); ?></th>
				</tr>
				</thead>
				<tbody>
				<tr>
					<td><?php esc_html_e('Below', 'mikado-bmi-calculator'); ?> <?php esc_html_e('18.5', 'mikado-bmi-calculator');?></td>
					<td><?php esc_html_e('Underweight', 'mikado-bmi-calculator'); ?></td>
				</tr>
				<tr>
					<td><?php esc_html_e('18.5 - 24.9', 'mikado-bmi-calculator');?></td>
					<td><?php esc_html_e('Normal', 'mikado-bmi-calculator'); ?></td>
				</tr>
				<tr>
					<td><?php esc_html_e('25.0 - 29.9', 'mikado-bmi-calculator');?></td>
					<td><?php esc_html_e('Overweight', 'mikado-bmi-calculator'); ?></td>
				</tr>
				<tr>
					<td><?php esc_html_e('30.0 - ', 'mikado-bmi-calculator');?> <?php esc_html_e('and Above', 'mikado-bmi-calculator'); ?></td>
					<td><?php esc_html_e('Obese', 'mikado-bmi-calculator'); ?></td>
				</tr>
				</tbody>
			</table>
			<div class="mkd-bmic-legend">
				<span>
				<sup>*</sup> <?php esc_html_e('BMR Basal Metabolic Rate / BMI Body Mass Index', 'mikado-bmi-calculator'); ?>
				</span>
			</div>
		</div>
	<?php endif; ?>
	<div class="mkd-bmic-notifications-col">
		<div class="mkd-bmic-notifications">
			<span class="mkd-bmic-icon-holder">
				<span></span>
			</span>
			<span class="mkd-bmic-notification-text"></span>
			<a href="#" class="mkd-bmic-notification-close"></a>
		</div>
	</div>
</div>