<?php

if(!function_exists('medigroup_mikado_get_button_html')) {
	/**
	 * Calls button shortcode with given parameters and returns it's output
	 *
	 * @param $params
	 *
	 * @return mixed|string
	 */
	function medigroup_mikado_get_button_html($params) {
		$button_html = medigroup_mikado_execute_shortcode('mkd_button', $params);
		$button_html = str_replace("\n", '', $button_html);
		return $button_html;
	}
}

if(!function_exists('medigroup_mikado_get_btn_hover_animation_types')) {
	/**
	 * @param bool $empty_val
	 *
	 * @return array
	 */
	function medigroup_mikado_get_btn_hover_animation_types($empty_val = false) {
		$types = array(
			'disable'         => esc_html__('Disable Animation', 'mikado-core'),
			'fill-from-top'   => esc_html__('Fill From Top', 'mikado-core'),
			'fill-from-left'  => esc_html__('Fill From Left', 'mikado-core'),
			'fill-from-right' => esc_html__('Fill From Right', 'mikado-core')
		);

		if($empty_val) {
			$types = array_merge(array(
				'' => 'Default'
			), $types);
		}

		return $types;
	}
}

if(!function_exists('mkd_get_btn_types')) {
	function medigroup_mikado_get_btn_types($empty_val = false) {
		$types = array(
			'outline'       => esc_html__('Outline', 'mikado-core'),
			'solid'         => esc_html__('Solid', 'mikado-core'),
			'white'         => esc_html__('White', 'mikado-core'),
			'white-outline' => esc_html__('White Outline', 'mikado-core'),
			'transparent'   => esc_html__('Transparent', 'mikado-core'),
			'black'         => esc_html__('Black', 'mikado-core')
		);

		if($empty_val) {
			$types = array_merge(array(
				'' => esc_html__('Default', 'mikado-core')
			), $types);
		}

		return $types;
	}
}

if(!function_exists('mkd_get_btn_icon_html')) {
	function mkd_get_btn_icon_html($icon, $icon_pack) {
		$html = '';

		$html .= 
			'<span class="mkd-btn-icon-holder">'.
				medigroup_mikado_icon_collections()->renderIcon($icon, $icon_pack, array(
					'icon_attributes' => array(
						'class' => 'mkd-btn-icon-elem'
					)
				)).
			'</span>'
		;

		return $html;
	}
}